"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var w_clock_component_1 = require("../w-clock/w-clock.component");
var WTimeComponent = /** @class */ (function () {
    function WTimeComponent() {
        this.userTimeChange = new core_1.EventEmitter();
        this.onRevert = new core_1.EventEmitter();
        this.onSubmit = new core_1.EventEmitter();
        this.VIEW_HOURS = w_clock_component_1.CLOCK_TYPE.HOURS;
        this.VIEW_MINUTES = w_clock_component_1.CLOCK_TYPE.MINUTES;
        this.currentView = this.VIEW_HOURS;
    }
    WTimeComponent.prototype.ngOnInit = function () {
        if (!this.userTime) {
            this.userTime = {
                hour: 6,
                minute: 0,
                meriden: 'PM',
                format: 12
            };
        }
        if (!this.revertLabel) {
            this.revertLabel = 'Cancel';
        }
        if (!this.submitLabel) {
            this.submitLabel = 'OK';
        }
    };
    WTimeComponent.prototype.formatHour = function () {
        if (this.userTime.format === 24) {
            if (this.userTime.hour === 24) {
                return '00';
            }
            else if (this.userTime.hour < 10) {
                return '0' + String(this.userTime.hour);
            }
        }
        return String(this.userTime.hour);
    };
    WTimeComponent.prototype.formatMinute = function () {
        if (this.userTime.minute === 0) {
            return '00';
        }
        else if (this.userTime.minute < 10) {
            return '0' + String(this.userTime.minute);
        }
        else {
            return String(this.userTime.minute);
        }
    };
    WTimeComponent.prototype.setCurrentView = function (type) {
        this.currentView = type;
    };
    WTimeComponent.prototype.setMeridien = function (m) {
        this.userTime.meriden = m;
    };
    WTimeComponent.prototype.revert = function () {
        this.onRevert.emit();
    };
    WTimeComponent.prototype.submit = function () {
        this.onSubmit.emit(this.userTime);
    };
    WTimeComponent.prototype.emituserTimeChange = function (event) {
        this.userTimeChange.emit(this.userTime);
    };
    WTimeComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'w-time',
                    templateUrl: './w-time.component.html',
                    styleUrls: ['./w-time.component.scss']
                },] },
    ];
    /** @nocollapse */
    WTimeComponent.ctorParameters = function () { return []; };
    WTimeComponent.propDecorators = {
        "userTime": [{ type: core_1.Input },],
        "userTimeChange": [{ type: core_1.Output },],
        "revertLabel": [{ type: core_1.Input },],
        "submitLabel": [{ type: core_1.Input },],
        "onRevert": [{ type: core_1.Output },],
        "onSubmit": [{ type: core_1.Output },],
        "color": [{ type: core_1.Input },],
    };
    return WTimeComponent;
}());
exports.WTimeComponent = WTimeComponent;
//# sourceMappingURL=w-time.component.js.map